Package com.ericsson.otp.ic version 4.2.11: Class TypeCode

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class TypeCode

    java.lang.Object
      |
      +--com.ericsson.otp.ic.TypeCode

public class TypeCode
extends java.lang.Object

The TypeCode class is the implementation of the OMG-IDL TypeCode type.

Constructor Summary
`TypeCode()`
`TypeCode(TCKind __kind)`

Method Summary
`TypeCode` | `content_type()` Content type accessor method for TypeCode.
`void` | `content_type(TypeCode __content_type)` Insertion method for the content type value of TypeCode.
`int` | `default_index()` Index accessor method for TypeCode.
`void` | `default_index(int __default_index)` Insertion method for the default index value of TypeCode.
`TypeCode` | `discriminator_type()` Discriminator type accessor method for TypeCode.
`void` | `discriminator_type(TypeCode __discriminator_type)` Insertion method for the type of the discriminator value of TypeCode.
`boolean` | `equal(TypeCode tc)` Comparisson method for TypeCode.
`java.lang.String` | `id()` Accessor method for the id value of TypeCode.
`void` | `id(java.lang.String __id)` Insertion method for the id value of TypeCode.
`TCKind` | `kind()` Accessor method for the TCKind value of TypeCode.
`static TCKind` | `kind(java.lang.String atom)` Insertion method for the TCKind value of TypeCode.
`void` | `kind(TCKind __kind)` Insertion method for the TCKind value of TypeCode.
`int` | `length()` Length accessor method for TypeCode.
`void` | `length(int __length)` Insertion method for the length value of TypeCode.
`static void` | `marshal(com.ericsson.otp.erlang.OtpOutputStream _os, TypeCode _tc)` Marshal operation for TypeCode.
`int` | `member_count()` Accessor method for the member number value of TypeCode.
`void` | `member_count(int __member_count)` Insertion method for the member number value of TypeCode.
`Any` | `member_label(int __index)` Member label accessor method for TypeCode.
`void` | `member_label(int __index, Any __member_label)` Insertion method for the indexed member label of TypeCode.
`java.lang.String` | `member_name(int __index)` Member name accessor method for TypeCode.
`void` | `member_name(int __index, java.lang.String __member_name)` Insertion method for the indexed member name of TypeCode.
`TypeCode` | `member_type(int __index)` Member type accessor method for TypeCode.
`void` | `member_type(int __index, TypeCode __member_type)` Insertion method for the indexed member type of TypeCode.
`java.lang.String` | `name()` Accessor method for the name value of TypeCode.
`void` | `name(java.lang.String __name)` Insertion method for the name value of TypeCode.
`static TypeCode` | `unmarshal(com.ericsson.otp.erlang.OtpInputStream _is)` Unmarshal operation for TypeCode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCode

    public TypeCode()

### TypeCode

    public TypeCode(TCKind __kind)

Method Detail

### equal

    public boolean equal(TypeCode tc)

  Comparisson method for TypeCode.
  Returns:
    true if the input TypeCode value equals the value of the current object, false otherwize

### kind

    public TCKind kind()

  Accessor method for the TCKind value of TypeCode.
  Returns:
    TCKind, the TCKind value of the TypeCode object.

### kind

    public void kind(TCKind __kind)

  Insertion method for the TCKind value of TypeCode. Sets the TCKind value of the object.

### kind

    public static TCKind kind(java.lang.String atom)
                       throws java.lang.Exception

  Insertion method for the TCKind value of TypeCode. Sets the TCKind value of the object.

### id

    public java.lang.String id()
                        throws java.lang.Exception

  Accessor method for the id value of TypeCode.
  Returns:
    String, the id value of TypeCode object

### id

    public void id(java.lang.String __id)

  Insertion method for the id value of TypeCode. Sets the id value of the object.

### name

    public java.lang.String name()
                          throws java.lang.Exception

  Accessor method for the name value of TypeCode.
  Returns:
    String, the name value of TypeCode object

### name

    public void name(java.lang.String __name)

  Insertion method for the name value of TypeCode. Sets the name value of the object.

### member_count

    public int member_count()
                     throws java.lang.Exception

  Accessor method for the member number value of TypeCode.
  Returns:
    int, the number of members of TypeCode object

### member_count

    public void member_count(int __member_count)

  Insertion method for the member number value of TypeCode. Sets the number of members value of the object.

### member_name

    public java.lang.String member_name(int __index)
                                 throws java.lang.Exception

  Member name accessor method for TypeCode.
  Returns:
    String, the name value of the member of the TypeCode object on the selected index

### member_name

    public void member_name(int __index,
                            java.lang.String __member_name)

  Insertion method for the indexed member name of TypeCode. Sets the name of a member value of the object at the selected index..

### member_type

    public TypeCode member_type(int __index)
                         throws java.lang.Exception

  Member type accessor method for TypeCode.
  Returns:
    TypeCOde, the type of the member of the TypeCode object on the selected index

### member_type

    public void member_type(int __index,
                            TypeCode __member_type)

  Insertion method for the indexed member type of TypeCode. Sets the type of a member value of the object at the selected index..

### member_label

    public Any member_label(int __index)
                     throws java.lang.Exception

  Member label accessor method for TypeCode.
  Returns:
    Any, the label of the member of the TypeCode object on the selected index

### member_label

    public void member_label(int __index,
                             Any __member_label)

  Insertion method for the indexed member label of TypeCode. Sets the label of a member value of the object at the selected index.

### discriminator_type

    public TypeCode discriminator_type()
                                throws java.lang.Exception

  Discriminator type accessor method for TypeCode.
  Returns:
    TypeCode, the type of the discriminator of the TypeCode object

### discriminator_type

    public void discriminator_type(TypeCode __discriminator_type)

  Insertion method for the type of the discriminator value of TypeCode. Sets the discriminator type value of the object.

### default_index

    public int default_index()
                      throws java.lang.Exception

  Index accessor method for TypeCode.
  Returns:
    int, the default index value of the member of the TypeCode object

### default_index

    public void default_index(int __default_index)

  Insertion method for the default index value of TypeCode. Sets the default index value of the object.

### length

    public int length()
               throws java.lang.Exception

  Length accessor method for TypeCode.
  Returns:
    int, the length of the TypeCode object

### length

    public void length(int __length)

  Insertion method for the length value of TypeCode. Sets the length value of the object.

### content_type

    public TypeCode content_type()
                          throws java.lang.Exception

  Content type accessor method for TypeCode.
  Returns:
    TypeCode, the content type of the TypeCode object

### content_type

    public void content_type(TypeCode __content_type)

  Insertion method for the content type value of TypeCode. Sets the content type value of the object.

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _os,
                               TypeCode _tc)
                        throws java.lang.Exception

  Marshal operation for TypeCode.

### unmarshal

    public static TypeCode unmarshal(com.ericsson.otp.erlang.OtpInputStream _is)
                              throws java.lang.Exception

  Unmarshal operation for TypeCode.
  Returns:
    TypeCode, the TypeCode read from the input stream.

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-1999 Ericsson Utvecklings AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD